package javax.swing;
import java.io.Serializable;

/** Status: minimal sceleton. */

public class UIManager implements Serializable {

    static UIDefaults uiDefaults;

    static {
	// Ugly hardwiring:

	String plafPrefix = "no.rwr.plaf.";
	Object[] plafMap = {
	    "ButtonUI", plafPrefix + "GButtonUI",
	    "LabelUI",  plafPrefix + "GLabelUI"
	};
	uiDefaults = new UIDefaults(plafMap);
    }

    public static ComponentUI getUI(JComponent target) {

	return uiDefaults.getUI(target);
	


    }

}
