package no.rwr.x;

public class Pixmap extends Drawable {

    public Pixmap(XImage image, Screen screen) {
	this(screen.getRootWindow(),
	     image.getWidth(), image.getHeight(),
	     image.getDepth());

	// FIXME: don't create a new GC all the time.
	GC gc = new GC(this);

	gc.putImage(image, 0, 0, 0, 0, image.getWidth(), image.getHeight());
    }

    public Pixmap(Drawable sameScreenAs, int width, int height, int depth) {
	super(sameScreenAs.getDisplay(), 
	      createXID(sameScreenAs, width, height, depth));
    }

    protected static native int createXID(Drawable sameScreenAs,
				   int width, int height, int depth);
    protected native void finalize();
}
