
#include <X11/Xlib.h>

#include <gcj/cni.h>
#include <gnu/gcj/RawData.h>

#include "no/rwr/x/XColor.h"


void no::rwr::x::XColor::init() {
    structure = reinterpret_cast<gnu::gcj::RawData*>(new ::XColor);
}

void no::rwr::x::XColor::finalize() {
    delete structure;
}

void no::rwr::x::XColor::setRGB(jint r, jint g, jint b) {
    ::XColor* color = (::XColor*) structure;
    color->red   = r;
    color->green = g;
    color->blue  = b;
}

jint no::rwr::x::XColor::getRed() {
    ::XColor* color = (::XColor*) structure;
    return color->red;
}
jint no::rwr::x::XColor::getGreen() {
    ::XColor* color = (::XColor*) structure;
    return color->green;
}
jint no::rwr::x::XColor::getBlue() {
    ::XColor* color = (::XColor*) structure;
    return color->blue;
}
jbyte no::rwr::x::XColor::getFlags() {
    ::XColor* color = (::XColor*) structure;
    return color->flags;
}
jlong no::rwr::x::XColor::getPixelValue() {
    ::XColor* color = (::XColor*) structure;
    return color->pixel;
}
